"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let uniqueStringCalls = 0;
class Unique {
    static string() {
        uniqueStringCalls += 1;
        const timestamp = Date.now();
        const random = Math.random() * Math.pow(10, 17);
        return `${uniqueStringCalls}-${timestamp}-${random.toString(16)}`;
    }
    static numberInRange(min, max) {
        return Math.floor(Math.random() * (max - min + 1)) + min;
    }
    static shortestString(existingStrings) {
        const charSet = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
        function incrementString(str) {
            let carry = true;
            let result = "";
            for (let i = str.length - 1; i >= 0 && carry; i--) {
                const index = charSet.indexOf(str[i]);
                const newIndex = (index + 1) % charSet.length;
                carry = newIndex === 0;
                result = charSet[newIndex] + result;
            }
            if (carry) {
                result = charSet[0] + result;
            }
            return result;
        }
        let newString = charSet[0];
        while (existingStrings.includes(newString)) {
            newString = incrementString(newString);
        }
        return newString;
    }
    static shortestNumber(existingNumbers) {
        let newNumber = 0;
        while (existingNumbers.includes(newNumber)) {
            newNumber++;
        }
        return newNumber;
    }
}
exports.default = Unique;
